<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div class="version-info-select">
  <div>
    <span class="version-info-select--text">{{'history.version' | translate}}</span>
    <app-select *ngIf="appSelectVersion"
                (appValueChange)="appVersionSelect.emit($event)"
                [appValue]="appSelectedOption"
                [appOptions]="appVersionOptions"
                [appPlaceholder]="'Version auswählen...'"
                [appDisabled]="appDisabled"
                class="openk-info"
                style="width: 9em;">
    </app-select>
    <button *ngIf="appSelectVersion"
            (click)="appNextVersion.emit(-1)"
            [disabled]="appDisabled || !(appVersionOptions | isNextIndexAvailable: appSelectedOption: -1) ||
                appSelectedVersion == null || appVersionOptions?.length <= 0"
            class="openk-button openk-info version-info-select--button">
      <mat-icon class="version-info-select--button--icon">keyboard_arrow_up</mat-icon>
    </button>
    <button *ngIf="appSelectVersion"
            (click)="appNextVersion.emit(1)"
            [disabled]="appDisabled || !(appVersionOptions | isNextIndexAvailable: appSelectedOption: 1) ||
                appSelectedVersion == null || appVersionOptions?.length <= 0"
            class="openk-button openk-info version-info-select--button">
      <mat-icon class="version-info-select--button--icon">keyboard_arrow_down</mat-icon>
    </button>
    <span *ngIf="!appSelectVersion">{{appSelectedVersion?.version}} {{'history.latest' | translate}}</span>
  </div>
  <div>
    <span class="version-info--mode--text">{{'history.mode' | translate}}</span>
    <button *ngIf="appEnableDetailsMode"
            (click)="appModeChange.emit()"
            [disabled]="appDisabled || appSelectedVersion == null"
            [class.openk-info]="!(selectedMode | isDetailsModeDetected)"
            class="openk-button openk-chip version-info--toggle-button openk-primary">
      {{((selectedMode | isDetailsModeDetected) ? "history.switchToNormal" : "history.switchToDetails") | translate }}
    </button>
    <span *ngIf="!appEnableDetailsMode">{{'history.normal' | translate}}</span>
  </div>
</div>

<div [class.hidden]="appSelectedVersion == null">
  <div class="version-info--user-info">
      <span *ngIf="appSelectedVersion?.user != null"
            class="version-info--user-info--text">
        {{appSelectedVersion.user}}
        {{appSelectedVersion?.firstName != null || appSelectedVersion?.lastName != null ?
        "(" + appSelectedVersion.firstName + " " + appSelectedVersion.lastName + ")" :
        ""}}
      </span>
    <span *ngIf="appSelectedVersion?.user == null"
          class="version-info--user-info--text">
        {{'history.unknownUser' | translate}}
      </span>
    <span>{{(appSelectedVersion?.timestamp | appMomentPipe)?.format(timeFormat)}}</span>
  </div>
</div>
